#ifndef _fencer_level_h
#define _fencer_level_h

#include "sprite.h"
#include <SDL2/SDL_render.h>
#include <cjson/cJSON.h>

typedef struct Level Level;

extern void world_init();
extern void world_close();

extern Level* level_from_json(cJSON* json);
extern Level* level_load(const char* level_id);
extern void level_destroy(Level* self);

extern void level_draw(Level* self);

#endif // !_fencer_level_h
