#ifndef _fencer_collision_h
#define _fencer_collision_h

#include "shape.h"
#include "physics_entity.h"
#include <stddef.h>

typedef struct Collision {
    PhysicsEntity other;
    Vector point;
    Vector normal;
    Vector velocity;
    Vector separation_force;
    size_t edge_left;
    size_t edge_right;
} Collision;

extern Collision get_collision(PhysicsEntity a, PhysicsEntity b);

#endif // !_fencer_collision_h
